function displayTopJobs( section )
{
  if ( typeof tj_jobs != "undefined" && tj_jobs.length > 0 )
  {

    var justOneJob = false ;
	if ( tj_jobs.length > 1 )
      justOneJob = true ;

    // maximum number of top jobs to display		
    var TJ_COUNT = 5 ;

    var tj_limit = (TJ_COUNT>tj_jobs.length) ? tj_jobs.length : TJ_COUNT ;
    var tj_display_jobs = new Array(tj_limit) ;

    for(var i=0; i<tj_limit; i++)
    {
      var tj_random = Math.floor(tj_jobs.length*Math.random()) ;
      tj_display_jobs[i] = tj_jobs[tj_random] ;

      if ( tj_random == 0 ) tj_jobs.shift() ;
      else if ( tj_random == tj_jobs.length ) tj_jobs.pop() ;
      else
      {
        var front = tj_jobs.slice(0,tj_random) ;
        var back = tj_jobs.slice(tj_random+1,tj_jobs.length) ;
        tj_jobs = (front.concat(back)) ;
      }
    }

    var tj_output = '' ;
	tj_output += ( '<div id="wrapperClassified">' ) ;
    tj_output += ( '<div id="ClassifiedHeader">Top Jobs <span>From Local Employers</span></div>' ) ;
	tj_output += ( '\n' ) ;
	tj_output += ( '<div id="ClassifiedBody">' ) ;
	tj_output += ( '\n' ) ;

    tj_output += ('<!-- content -->' ) ;
    for ( var i=0; i<tj_limit; i++ )
    {
      var job = tj_display_jobs[i] ;

	  tj_output += ( '<div class="ClassifiedLink">' ) ;
	  tj_output += ( '<font face="verdana,sans-serif" size="-2" color="#989AA9">&#149;&nbsp;</font>' ) ;
      tj_output += ( '<A HREF="'+job.url+'&?topjobs">'+job.text+'</A> / '+job.posttext+'<br>' ) ;
	  tj_output += ( '</div>' ) ;
	  tj_output += ( '\n' ) ;
    }

    if ( justOneJob )
	{
	  tj_output += ('<div align="center" style="padding-top:4px;"><A HREF="http://www.washingtonpost.com/wl/jobs/JS_JobSearchResult?topjobs=all">All Top Jobs</A></div>' ) ;
	  tj_output += ( '\n' ) ;
	}
    tj_output += ('</div>');
    tj_output += ('</div>');

    document.write( tj_output ) ;

if (typeof thisNode == "undefined" )
  thisNode = "" ;

function tjOnload()
{
  if (typeof sa_onclick != "undefined" )
    sa_onclick('http://www.washingtonpost.com/wp-adv/topjobs/tracking/'+parent_node);
}

if (typeof tjOnload != "undefined" )
  window.onload = tjOnload ;
var parent_node = thisNode.substring(0,(thisNode.indexOf('/')==-1 ? thisNode.length:thisNode.indexOf('/') ) )

  } // if tj_jobs != "undefined" && tj_jobs.length > 0
}

